Bug 135437 - USB mouse not working after install
USB mouse not working after install
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Pete Zaitcev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-12 14:12 EDT by Nate Brazell
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-03 19:24:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nate Brazell 2004-10-12 14:12:50 EDT
Description of problem:

While installing WS 3.0 on new Dell 370 w/Alderwood Chipset (Intel 
925) the following results.  During installation the USB mouse is 
detected as a Generic 3 button USB mouse.  Upon completion of 
installation and a reboot the USB mouse no longer works.  Using 
mouseconfig does not correct the problem no matter which USB mouse 
option you choose.  The only way to get it to work is to physically 
unplug the mouse from the USB port and plug it in again to either the 
same slot or a different slot sometime multiple times before it is 
recognized by the OS.  XP does not encounter the problem.  PS/2 works 
flawlessly in both OS's.  Contacted Dell Customer support but they 
suggested it was a driver issue.  Checked all your FAQ's and bugzilla 
for similar problems and found none.

Version-Release number of selected component (if applicable):
RHEL WS 3.0

How reproducible:
Every time.  Used multiple mouse mfg's.  MS, Dell (probably MS or 
logitec) and Logitec marble.

Steps to Reproduce:
1.  Install OS.  Reboot
2.  Install NVIDIA drivers
3.  startx (or init 3 followed by init 5)
4.  Mouse no workee.
5.  Login via X
6.  CTL-F2; type xterm
7.  tail -f /var/log/messages
8.  Unplug mouse and plug mouse back in several times.  (As many as 8)

Actual results:

No USB mouse


Expected results:

USB mouse

Additional info:

Have messages file w/results  XF86Config and /etc/sysconfig/mouse 
standing by.  Let me know anything else you need.  I have 50 boxes to 
resolve this on so appreciate your prompt response.

N
Comment 1 Nate Brazell 2004-10-12 16:31:57 EDT
Downloaded and installed RHEL 3.0 WS Update 3 on a different 
machine.  Everything seems to work including the TG3 driver that btw 
did not work on the system of this bug.  I am curious how my 
activation will work for Update 3.  I bought two copies of Update 1 
when it came out a while ago and now I need to transfer those to 
activations to Update 3 machines.  I know this is not a techie 
question but I do need to discuss how this works as I have 60 more 
copies of WS 3.0 coming.

N
Comment 2 Wade Mealing 2004-10-12 21:10:32 EDT
Nate: Not really how we do support, but i'll answer it anyway.

IF you need 60 + (Current channels), log into RHN, delete the existing
systems from there to free up the current entitlements, do the
reinstall and all should be fine.
Comment 3 Thomas Woerner 2004-10-13 05:25:36 EDT
This is a kernel problem. Assigning to kernel.
Comment 4 Suzanne Hillman 2004-10-13 16:25:31 EDT
As you have mentioned a desire for a prompt response, you would be
best off to go through support.

To do this, find your entitlement, and either call 800-REDHAT1 or go
to http://www.redhat.com/support.
Comment 5 Nate Brazell 2004-10-14 13:12:12 EDT
These systems are on a closed network and do not have access to the 
RHN through the internet.  I was wondering if there is an update 
release CD that can be sent to me or downloaded.  I looked at 
ftp.redhat.com under updates but the dates on the files were all 
April.

N
Comment 6 Suzanne Hillman 2004-10-14 14:56:30 EDT
Again, I suggest contacting support, as mentioned in comment #4. They
are far more likely than I to have an idea as to how a lack of RHN
connection might be handled.
Comment 7 Pete Zaitcev 2004-10-20 22:37:28 EDT
Is this reporducible without the nVidia? You'd be surprised, but
I did see it killing USB before.

If yes, I need the dmesg output and a copy of /proc/bus/usb/devices.
Please do not drop files into the comments box, attach to the bug
instead.
Comment 8 Nate Brazell 2004-10-21 08:47:05 EDT
I will try and get back to you.  I downloaded and installed WS 3.0 
Update 3 and it is working fine.


Note You need to log in before you can comment on or make changes to this bug.